Get customer activity history

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API helps retrieve all the subscription (supplementary) or coalition (external) programs of the user. It fetches the present and past history of the subscription program or coalition programs.

šŸ‘

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call .

Prerequisites

  • Authentication
  • Partner program access group

API Specification

FeatureAvailability
URIv2/partnerProgram/customerActivityHistories
HTTP MethodGET
PaginationYes
Batch supportNA
Rate limit informationNA

API endpoint example

https://eucrm.cc.capillarytech.com/v2/partnerProgram/customerActivityHistories

Request query/body parameters

Parameter
(Parameters marked with * are mandatory)
Type Description

source*

Enum

Source in which the customer identifier is present.

identifierName*

Enum

Name of the customer identifier used to identify the customer.

identifierValue*

String

Value of the specified identifierName.

activityType*

Enum

The type of activity.

startDate

Date

when activityType is BENEFITS_AVAILED , startDate param is used to fetch CustomerBenefitTrackingLog during that duration

endDate

Date

when activityType is BENEFITS_AVAILED , endDate param is used to fetch CustomerBenefitTrackingLog during that duration

partnerProgramId

Int

If partnerProgramId is passed, then only specific partner program details will be fetched, if not, the recent ten partner programs which the customer was part of will be shown.

partnerProgramType

Int

The type of partner program type. Subscription (External) or Coalition (Supplementary).

limit

Int

Default limit is 10. Range: 0-10

offset

Int

Default offset will be 0.

https://eu.api.capillarytech.com/v2/partnerProgram/customerActivityHistory?source=instore&identifierName=externalId&identifierValue=5c3c2dasc6b5f33c82fb71f679daf56dq&partnerProgramId=35&activityType=benefitsAvailed&startDate=2020-01-29+12:11:45&endDate=2021-10-29+12:11:45

Response parameters

ParameterData typeDescription
paginationObjectContains details about the pagination of the data.
limitIntegerThe maximum number of records to be returned in the response.
offsetIntegerThe starting point for the data to be returned (used for paging through data).
totalIntegerThe total number of records available.
dataArrayAn array containing the details of partner programs and customer activities.
partnerProgramDetailsObjectContains details about a specific partner program.
partnerProgramDetails.programNameStringThe name of the program.
partnerProgramDetails.partnerProgramIdIntegerUnique identifier for the partner program.
partnerProgramNameThe name of the partner program.
partnerProgramDescriptionDescription of the partner program.
partnerTierNumberThe tier number of the partner in the program.
partnerTierNameThe name of the partner's tier in the program.
partnerTierExpiryDateExpiry date of the partner's tier.
partnerMembershipIdMembership ID of the partner in the program.
partnerProgramTypeType of the partner program (e.g., EXTERNAL, SUPPLEMENTARY).
partnerProgramMembershipStartDateStart date of the partner's membership in the program.
partnerProgramMembershipEndDateEnd date of the partner's membership in the program.
benefitsSummaryArray of benefits associated with the program.
nameName of the benefit.
typeType of the benefit (e.g., promotionalPoints).
mappedPromotionDetailsDetails of the mapped promotion.
countAvailedInLast365DaysCount of how many times the benefit was availed in the last 365 days.
linkedIndicates whether the program is linked or not.
tierBasedIndicates whether the program is tier-based or not.
customerActivityHistoryArray containing the history of customer activities.
customerActivityHistory[].activityTypeStringType of activity recorded. New relinking activity types: SUPPLEMENTARY_MEMBERSHIP_RELINKING_INITIATED, SUPPLEMENTARY_MEMBERSHIP_RELINKED, SUPPLEMENTARY_MEMBERSHIP_RELINKING_CANCELLED. See the table below for descriptions.
customerActivityHistory[].activityDateStringUTC timestamp of when the activity was recorded. For relinking activity types, this reflects the time the action was taken, not the scheduled membership start date.
notesNotes providing additional information about the data timeframe.
warningsArray containing any warnings related to the data (empty in this data).
errorsArray containing any errors related to the data (empty in this data).

Supplementary membership relinking activity types

The following activityType values appear in a customer's activity history when a brand uses the future-dated membershipStartDate relinking flow on a supplementary partner program. This requires ALLOW_MEMBERSHIP_RELINKING to be enabled for the org.

activityTypeWhen it is writtenEffect on enrollment
SUPPLEMENTARY_MEMBERSHIP_RELINKING_INITIATEDBrand calls the Link API with a future membershipStartDate for a customer already linked to the program.Pending relink is queued; the existing enrollment is untouched.
SUPPLEMENTARY_MEMBERSHIP_RELINKEDA daily batch job activates the pending relink on the scheduled start date. This activity type may also appear in read responses on the scheduled date before the batch has run — in that window the enrollment is not yet active.The batch job creates the new enrollment and the customer's benefits activate. Until the batch runs, the activity is shown in advance but the enrollment is not live.
SUPPLEMENTARY_MEMBERSHIP_RELINKING_CANCELLEDBrand calls the Update Customer API with updateType: MEMBERSHIP_RELINKING_CANCELLED before the scheduled start date.Pending relink is removed; the existing enrollment remains unchanged.
{
    "pagination": {
        "limit": 10,
        "offset": 0,
        "total": 3
    },
    "data": [
        {
            "partnerProgramDetails": {
                "programName": "VidhiOrgDefaultProgram",
                "partnerProgramId": 111,
                "partnerProgramName": "external pp",
                "partnerProgramDescription": "external pp",
                "partnerTierNumber": 2,
                "partnerTierName": "tier2",
                "partnerTierExpiryDate": "2024-09-08T18:29:59Z",
                "partnerMembershipId": "000103",
                "partnerProgramType": "EXTERNAL",
                "partnerProgramMembershipStartDate": "2023-09-08T18:25:10Z",
                "partnerProgramMembershipEndDate": "2024-09-08T18:29:59Z",
                "benefitsSummary": [
                    {
                        "name": "benefit21",
                        "type": "promotionalPoints",
                        "mappedPromotionDetails": {
                            "promotionId": 16692,
                            "promotionName": "promo1",
                            "promotionReferenceNumber": "dfe3ac53-ee91-48d8-89d5-e5938f4843d8"
                        },
                        "countAvailedInLast365Days": 0
                    }
                ],
                "linked": true,
                "tierBased": true
            },
            "customerActivityHistory": [],
            "notes": "showing customer activities from Wed Sep 14 15:51:21 GMT 2022 till Thu Sep 14 15:51:21 GMT 2023"
        },
        {
            "partnerProgramDetails": {
                "programName": "VidhiOrgDefaultProgram",
                "partnerProgramId": 20,
                "partnerProgramName": "Riders",
                "partnerProgramDescription": "Test",
                "partnerProgramType": "SUPPLEMENTARY",
                "partnerProgramMembershipStartDate": "2023-03-14T12:38:00Z",
                "partnerProgramMembershipEndDate": "2023-03-15T12:38:00Z",
                "linked": false,
                "tierBased": false
            },
            "customerActivityHistory": [],
            "notes": "showing customer activities from Wed Sep 14 15:51:21 GMT 2022 till Thu Sep 14 15:51:21 GMT 2023"
        },
        {
            "partnerProgramDetails": {
                "programName": "VidhiOrgDefaultProgram",
                "partnerProgramId": 21,
                "partnerProgramName": "Supplementary Program 2",
                "partnerProgramDescription": "test",
                "partnerProgramType": "SUPPLEMENTARY",
                "partnerProgramMembershipStartDate": "2023-07-04T07:55:43Z",
                "partnerProgramMembershipEndDate": "2023-10-12T07:55:43Z",
                "linked": true,
                "tierBased": false
            },
            "customerActivityHistory": [],
            "notes": "showing customer activities from Wed Sep 14 15:51:21 GMT 2022 till Thu Sep 14 15:51:21 GMT 2023"
        }
    ],
    "warnings": [],
    "errors": []
}
{
    "pagination": {
        "limit": 10,
        "offset": 0,
        "total": 3
    },
    "data": [
        {
            "partnerProgramDetails": {
                "programName": "VidhiOrgDefaultProgram",
                "partnerProgramId": 111,
                "partnerProgramName": "external pp",
                "partnerProgramDescription": "external pp",
                "partnerTierNumber": 2,
                "partnerTierName": "tier2",
                "partnerTierExpiryDate": "2024-09-08T18:29:59Z",
                "partnerMembershipId": "000103",
                "partnerProgramType": "EXTERNAL",
                "partnerProgramMembershipStartDate": "2023-09-08T18:25:10Z",
                "partnerProgramMembershipEndDate": "2024-09-08T18:29:59Z",
                "benefitsSummary": [
                    {
                        "name": "benefit21",
                        "type": "promotionalPoints",
                        "mappedPromotionDetails": {
                            "promotionId": 16692,
                            "promotionName": "promo1",
                            "promotionReferenceNumber": "dfe3ac53-ee91-48d8-89d5-e5938f4843d8"
                        },
                        "countAvailedInLast365Days": 0
                    }
                ],
                "linked": true,
                "tierBased": true
            },
            "customerActivityHistory": [
                {
                    "activityType": "ENROLLMENT",
                    "activityDate": "2023-09-08T12:55:11Z"
                }
            ]
        },
        {
            "partnerProgramDetails": {
                "programName": "VidhiOrgDefaultProgram",
                "partnerProgramId": 20,
                "partnerProgramName": "Riders",
                "partnerProgramDescription": "Test",
                "partnerProgramType": "SUPPLEMENTARY",
                "partnerProgramMembershipStartDate": "2023-03-14T12:38:00Z",
                "partnerProgramMembershipEndDate": "2023-03-15T12:38:00Z",
                "partnerProgramMembershipLastUpdatedDate": "2023-07-04T07:55:43Z",
                "partnerProgramMembershipLastUpdatedActivity": "PARTNER_PROGRAM_EARLY_EXPIRY",
                "linked": false,
                "tierBased": false
            },
            "customerActivityHistory": [
                {
                    "activityType": "PARTNER_PROGRAM_EARLY_EXPIRY",
                    "activityDate": "2023-07-04T07:55:43Z"
                },
                {
                    "activityType": "SUPPLEMENTARY_MEMBERSHIP_STARTED",
                    "activityDate": "2023-03-15T12:38:00Z"
                }
            ]
        },
        {
            "partnerProgramDetails": {
                "programName": "VidhiOrgDefaultProgram",
                "partnerProgramId": 21,
                "partnerProgramName": "Supplementary Program 2",
                "partnerProgramDescription": "test",
                "partnerProgramType": "SUPPLEMENTARY",
                "partnerProgramMembershipStartDate": "2023-07-04T07:55:43Z",
                "partnerProgramMembershipEndDate": "2023-10-12T07:55:43Z",
                "partnerProgramMembershipLastUpdatedDate": "2023-07-04T07:55:43Z",
                "partnerProgramMembershipLastUpdatedActivity": "BACKUP_SUPPLEMENTARY_MEMBERSHIP_STARTED",
                "linked": true,
                "tierBased": false
            },
            "customerActivityHistory": [
                {
                    "activityType": "BACKUP_SUPPLEMENTARY_MEMBERSHIP_STARTED",
                    "activityDate": "2023-07-04T07:55:43Z"
                },
                {
                    "activityType": "SUPPLEMENTARY_MEMBERSHIP_STARTED",
                    "activityDate": "2023-06-22T12:38:00Z"
                }
            ]
        }
    ],
    "warnings": [],
    "errors": []
}
{
    "pagination": {
        "limit": 10,
        "offset": 0,
        "total": 1
    },
    "data": [
        {
            "partnerProgramDetails": {
                "programName": "DefaultProgram",
                "partnerProgramId": 35,
                "partnerProgramName": "SPP_1",
                "partnerProgramDescription": "Supplementary partner program",
                "partnerProgramType": "SUPPLEMENTARY",
                "partnerProgramMembershipStartDate": "2027-01-01T00:00:00Z",
                "partnerProgramMembershipEndDate": "2027-12-31T23:59:59Z",
                "partnerProgramMembershipLastUpdatedDate": "2027-01-01T00:00:05Z",
                "partnerProgramMembershipLastUpdatedActivity": "SUPPLEMENTARY_MEMBERSHIP_RELINKED",
                "linked": true,
                "tierBased": false
            },
            "customerActivityHistory": [
                {
                    "activityType": "SUPPLEMENTARY_MEMBERSHIP_RELINKED",
                    "activityDate": "2027-01-01T00:00:05Z"
                },
                {
                    "activityType": "SUPPLEMENTARY_MEMBERSHIP_RELINKING_INITIATED",
                    "activityDate": "2026-05-06T17:07:39Z"
                }
            ]
        }
    ],
    "warnings": [],
    "errors": []
}
Query Params
string
enum
required
string
enum
required
Allowed:
string
required
string
enum
required
Allowed:
date
date
int32
string
enum
Allowed:
int32
int32
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json